Path: API › 文件管理

`POST /files`

列出所有有编辑历史记录的文件及其历史版本信息。

## Request body

_Required._

- `action135.request_time` (string, required) — Unix 时间戳。
- `action135.request_token` (string, required) — 按 API 概览生成的签名。
- `action135.action` (string, required) — 具体操作名称。
  - one of `"file_history_list"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "file_history_list"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/files" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=file_history_list"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
[]
```


## file_history_list

列出所有有编辑历史记录的文件及其历史版本信息。

- **路由**：`POST /files`
- **action**：`file_history_list`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `file_history_list` |

无其他参数。

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| - | Array | 文件历史列表，每项含 `filepath` 和 `historys` |

## 示例

### 请求

```
POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=file_history_list
```

### 响应

```json
[]
```

